# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2017-04-17 18:05
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations
import guichet.models

def migrate_data_forward(apps, schema_editor):
    Event = apps.get_model("guichet", "Event")
    db_alias = schema_editor.connection.alias
    for instance in Event.objects.using(db_alias).all():
        print("Generating slug for %s"%instance)
        instance.save() # Will trigger slug update

def migrate_data_backward(apps, schema_editor):
    pass

class Migration(migrations.Migration):

    dependencies = [
        ('guichet', '0048_event_email_event'),
    ]

    operations = [
        migrations.AddField(
            model_name='event',
            name='short_url',
            field=autoslug.fields.AutoSlugField(default=None, editable=True, max_length=32, null=True, populate_from='name', unique=True, validators=[guichet.models.short_url_validate]),
        ),
        # see : https://stackoverflow.com/questions/37309782/django-generate-slug-field-data-for-existing-entries-in-database
#        migrations.RunPython(
#            migrate_data_forward,
#            migrate_data_backward,
#        ),
    ]
